EBOOK-META(1)

NAME
ebook-meta - ebook-meta

            ebook-meta e-kirja-tiedosto [vaihtoehdot]

Lue/Kirjoita metadata e-kirjoista/-kirjoihin.

Tuetut formaatit metadatan lukemiseen: azw, azw1, azw3, azw4, cb7, cbc, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, kepub, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip

Tuetut formaatit metadatan kirjoittamiseen: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, kepub, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz

Formaatit tukevat erilaista metadataa . Jos yrität kirjoittaa metadataa joita tiedosto ei tue, ne ohitetaan ilman virheilmoitusta.

Aina kun annat ebook-meta:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

[VALINNAT]

    --author-sort
        Teksti, jota käytetään järjestettäessä tekijöiden mukaan. Jos arvoa ei ole asetettu, se luodaan automaattisesti tekijätiedoista.

    --authors, -a
        Aseta tekijät. Useammat tekijät erotetaan &-merkillä. Tekijänimet muodossa Etunimi Sukunimi.

    --book-producer, -k
        Aseta kirjan tuottaja.

    --category
        Aseta kirjan luokka.

    --comments, -c
        Aseta kirjan kuvaus.

    --cover
        Aseta kansi osoitetusta tiedostosta.

    --date, -d
        Aseta julkaisupäivämäärä.

    --disallow-rendered-cover
        For formats like EPUB that use a "default cover" of the first page rendered, disallow such default covers

    --from-opf
        Lue metadata osoitetusta OPF-tiedostosta ja aseta siitä kirjan metadata. Komentorivillä asetettu metadata ohittaa OPF-tiedostosta löytyvät tiedot

    --get-cover
        Hae kansi e-kirjasta ja tallenna se osoitettuun tiedostoon.

    --help, -h
        näytä tämä ohjeviesti ja poistu

    --identifier
        Set the identifiers for the book, can be specified multiple times. For example: --identifier uri:https://acme.com --identifier isbn:12345 To remove an identifier, specify no value, --identifier isbn: Note that for EPUB files, an identifier marked as the package identifier cannot be removed.

    --index, -i
        Aseta kirjan järjestysnumero sarjassa.

    --isbn
        Anna kirjan ISBN.

    --language, -l
        Anna kieli.

    --lrf-bookid
        Aseta LRF-tiedostojen BookID

    --publisher, -p
        Aseta kirjan julkaisija.

    --rating, -r
        Aseta arvosana. Luku 1-5.

    --series, -s
        Aseta sarja johon kirja kuuluu.

    --tags
        Aseta kirjan tägit. Muotona pilkuin erotettu lista.

    --title, -t
        Anna otsikko.

    --title-sort
        Järjestämisessä käytettävä nimen muoto. Jos arvoa ei ole asetettu, se luodaan automaattisesti varsinaisesta nimestä.

    --to-opf
        Aseta OPF-tiedoston nimi. Metatiedot kirjoitetaan tähän OPF-tiedostoon.

    --version
        näytä ohjelman versionumero ja poistu

Author
Kovid Goyal

Copyright
Kovid Goyal